Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/MavenCoreActivator.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/MavenCoreActivator.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/MavenCoreActivator.java	(working copy)
@@ -1,3 +1,13 @@
+/*************************************************************************************
+ * Copyright (c) 2008-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.core;
 
 import java.io.File;
@@ -5,11 +15,10 @@
 import java.io.IOException;
 import java.io.InputStream;
 import java.io.OutputStream;
-import java.lang.reflect.InvocationTargetException;
-import java.lang.reflect.Method;
 import java.net.URL;
 import java.util.ArrayList;
 import java.util.Collections;
+import java.util.HashMap;
 import java.util.LinkedHashMap;
 import java.util.List;
 
@@ -45,24 +54,22 @@
 import org.eclipse.jst.common.project.facet.core.libprov.ILibraryProvider;
 import org.eclipse.jst.common.project.facet.core.libprov.LibraryProviderOperationConfig;
 import org.eclipse.jst.j2ee.project.facet.IJ2EEFacetConstants;
+import org.eclipse.m2e.core.MavenPlugin;
+import org.eclipse.m2e.core.embedder.MavenModelManager;
+import org.eclipse.m2e.core.internal.IMavenConstants;
+import org.eclipse.m2e.core.project.IProjectConfigurationManager;
+import org.eclipse.m2e.jdt.internal.BuildPathManager;
+import org.eclipse.m2e.model.edit.pom.Dependency;
+import org.eclipse.m2e.model.edit.pom.PomFactory;
+import org.eclipse.m2e.model.edit.pom.PropertyElement;
+import org.eclipse.m2e.model.edit.pom.Repository;
+import org.eclipse.m2e.model.edit.pom.util.PomResourceFactoryImpl;
+import org.eclipse.m2e.model.edit.pom.util.PomResourceImpl;
 import org.eclipse.wst.common.componentcore.ComponentCore;
 import org.eclipse.wst.common.componentcore.resources.IVirtualComponent;
 import org.eclipse.wst.common.componentcore.resources.IVirtualFolder;
 import org.eclipse.wst.common.frameworks.datamodel.IDataModel;
 import org.eclipse.wst.common.project.facet.core.FacetedProjectFramework;
-import org.maven.ide.components.pom.Dependency;
-import org.maven.ide.components.pom.PomFactory;
-import org.maven.ide.components.pom.PropertyElement;
-import org.maven.ide.components.pom.Repository;
-import org.maven.ide.components.pom.util.PomResourceFactoryImpl;
-import org.maven.ide.components.pom.util.PomResourceImpl;
-import org.maven.ide.eclipse.MavenPlugin;
-import org.maven.ide.eclipse.core.IMavenConstants;
-import org.maven.ide.eclipse.embedder.IMavenConfiguration;
-import org.maven.ide.eclipse.embedder.MavenModelManager;
-import org.maven.ide.eclipse.jdt.BuildPathManager;
-import org.maven.ide.eclipse.project.IProjectConfigurationManager;
-import org.maven.ide.eclipse.project.ResolverConfiguration;
 import org.osgi.framework.BundleContext;
 
 /**
@@ -70,6 +77,8 @@
  */
 public class MavenCoreActivator extends Plugin {
 
+	private static final String ROOT_DIR = "/"; //$NON-NLS-1$
+
 	public static final String SEPARATOR = "/"; //$NON-NLS-1$
 
 	// The plug-in ID
@@ -281,7 +290,7 @@
 		IClasspathEntry[] cp = javaProject.getRawClasspath();
 		for (int i = 0; i < cp.length; i++) {
 			if (IClasspathEntry.CPE_CONTAINER == cp[i].getEntryKind()
-					&& BuildPathManager.isMaven2ClasspathContainer(cp[i]
+					&& BuildPathManager.CONTAINER_ID.equals(cp[i]
 							.getPath())) {
 				LinkedHashMap<String, IClasspathAttribute> attrs = new LinkedHashMap<String, IClasspathAttribute>();
 				for (IClasspathAttribute attr : cp[i].getExtraAttributes()) {
@@ -312,56 +321,12 @@
 
 	public static void updateMavenProjectConfiguration(IProject project)
 			throws CoreException {
-		ResolverConfiguration resolverConfiguration = new ResolverConfiguration();
-		//resolverConfiguration.setIncludeModules(false);
-		// FIXME
-		resolverConfiguration.setResolveWorkspaceProjects(true);
-		resolverConfiguration.setActiveProfiles(""); //$NON-NLS-1$
 		IProjectConfigurationManager configurationManager = MavenPlugin
 				.getDefault().getProjectConfigurationManager();
-		//IMavenConfiguration mavenConfiguration = MavenPlugin.lookup(IMavenConfiguration.class);
-		//IMavenConfiguration mavenConfiguration = MavenPlugin.getDefault().getMavenConfiguration();
-		IMavenConfiguration mavenConfiguration = getMavenConfiguration();
-		
 		configurationManager.updateProjectConfiguration(project,
-				resolverConfiguration, mavenConfiguration.getGoalOnUpdate(),
 				new NullProgressMonitor());
 	}
 	
-	private static IMavenConfiguration getMavenConfiguration() {
-		Class clazz = MavenPlugin.class;
-		try {
-			Method method = clazz.getMethod ("getMavenConfiguration", new Class[0]); //$NON-NLS-1$
-			Object configuration = method.invoke (MavenPlugin.getDefault(), new Object[0]);
-			return (IMavenConfiguration) configuration;
-		} catch (SecurityException e) {
-			log(e);
-		} catch (NoSuchMethodException e) {
-			try {
-				Method method = clazz.getMethod ("lookup", new Class[] {Class.class}); //$NON-NLS-1$
-				Object configuration = method.invoke (null, new Object[] {IMavenConfiguration.class});
-				return (IMavenConfiguration) configuration;
-			} catch (SecurityException e1) {
-				log(e1);
-			} catch (IllegalArgumentException e1) {
-				log(e1);
-			} catch (NoSuchMethodException e1) {
-				log(e1);
-			} catch (IllegalAccessException e1) {
-				log(e1);
-			} catch (InvocationTargetException e1) {
-				log(e1);
-			}
-		} catch (IllegalArgumentException e) {
-			log(e);
-		} catch (IllegalAccessException e) {
-			log(e);
-		} catch (InvocationTargetException e) {
-			log(e);
-		}
-		return null;
-	}
-	
 	public static void addMavenWarPlugin(Build build, IProject project) throws JavaModelException {
 		org.apache.maven.model.Plugin plugin = new org.apache.maven.model.Plugin();
 		plugin.setGroupId("org.apache.maven.plugins"); //$NON-NLS-1$
@@ -429,18 +394,18 @@
 			Xpp3Dom modules = new Xpp3Dom("modules"); //$NON-NLS-1$
 			configuration.addChild(modules);
 
+			Xpp3Dom seamModule = getEarModule("ejbModule", "org.jboss.seam", //$NON-NLS-1$ //$NON-NLS-2$
+					"jboss-seam", ROOT_DIR, null); //$NON-NLS-1$ //$NON-NLS-2$
+			modules.addChild(seamModule);
+			
 			if (ejbArtifactId != null) {
 				String ejbModuleName = ejbArtifactId + ".jar"; //$NON-NLS-1$
 				Xpp3Dom ejbProject = getEarModule(
 						"ejbModule", //$NON-NLS-1$
 						m2FacetModel.getStringProperty(IJBossMavenConstants.GROUP_ID),
-						ejbArtifactId, "/", ejbModuleName); //$NON-NLS-1$ 
+						ejbArtifactId, ROOT_DIR, ejbModuleName); //$NON-NLS-1$ 
 				modules.addChild(ejbProject);
 			}
-			
-			Xpp3Dom seamModule = getEarModule("ejbModule", "org.jboss.seam", //$NON-NLS-1$ //$NON-NLS-2$
-					"jboss-seam", "/", null); //$NON-NLS-1$ //$NON-NLS-2$
-			modules.addChild(seamModule);
 
 			String webModuleName = m2FacetModel.getStringProperty(IJBossMavenConstants.ARTIFACT_ID) + ".war"; //$NON-NLS-1$
 			
@@ -448,7 +413,7 @@
 					"webModule", //$NON-NLS-1$
 					m2FacetModel.getStringProperty(IJBossMavenConstants.GROUP_ID),
 					m2FacetModel.getStringProperty(IJBossMavenConstants.ARTIFACT_ID),
-					"/", webModuleName); //$NON-NLS-1$
+					ROOT_DIR, webModuleName); //$NON-NLS-1$
 			Xpp3Dom contextRoot = new Xpp3Dom("contextRoot"); //$NON-NLS-1$
 			contextRoot.setValue(m2FacetModel
 					.getStringProperty(IJBossMavenConstants.ARTIFACT_ID));
@@ -484,9 +449,11 @@
 		Xpp3Dom artifactId = new Xpp3Dom("artifactId"); //$NON-NLS-1$
 		artifactId.setValue(artifactIdString);
 		earModule.addChild(artifactId);
-		Xpp3Dom bundleDir = new Xpp3Dom("bundleDir"); //$NON-NLS-1$
-		bundleDir.setValue(bundleDirString);
-		earModule.addChild(bundleDir);
+		if (!ROOT_DIR.equals(bundleDirString)) {
+			Xpp3Dom bundleDir = new Xpp3Dom("bundleDir"); //$NON-NLS-1$
+			bundleDir.setValue(bundleDirString);
+			earModule.addChild(bundleDir);
+		}
 		if (bundleFileNameString != null) {
 			Xpp3Dom bundleFileName = new Xpp3Dom("bundleFileName"); //$NON-NLS-1$
 			bundleFileName.setValue(bundleFileNameString);
@@ -534,7 +501,7 @@
 		return sourceDirectory;
 	}
 	
-	public static void mergeModel(org.maven.ide.components.pom.Model projectModel, org.maven.ide.components.pom.Model libraryModel) {
+	public static void mergeModel(org.eclipse.m2e.model.edit.pom.Model projectModel, org.eclipse.m2e.model.edit.pom.Model libraryModel) {
 		if (projectModel == null || libraryModel == null) {
 			return;
 		}
@@ -544,9 +511,9 @@
 		addDependencies(projectModel,libraryModel);
 	}
 
-	private static void addDependencies(org.maven.ide.components.pom.Model projectModel, org.maven.ide.components.pom.Model libraryModel) {
-		List<org.maven.ide.components.pom.Dependency> projectDependencies = projectModel.getDependencies();
-		List<org.maven.ide.components.pom.Dependency> libraryDependencies = libraryModel.getDependencies();
+	private static void addDependencies(org.eclipse.m2e.model.edit.pom.Model projectModel, org.eclipse.m2e.model.edit.pom.Model libraryModel) {
+		List<org.eclipse.m2e.model.edit.pom.Dependency> projectDependencies = projectModel.getDependencies();
+		List<org.eclipse.m2e.model.edit.pom.Dependency> libraryDependencies = libraryModel.getDependencies();
 		for (Dependency dependency:libraryDependencies) {
 			if (!dependencyExists(dependency,projectDependencies)) {
 				Dependency newDependency = (Dependency) EcoreUtil.copy(dependency);
@@ -579,33 +546,33 @@
 		return false;
 	}
 
-	private static void addPlugins(org.maven.ide.components.pom.Model projectModel, org.maven.ide.components.pom.Model libraryModel) {
-		org.maven.ide.components.pom.Build libraryBuild = libraryModel.getBuild();
+	private static void addPlugins(org.eclipse.m2e.model.edit.pom.Model projectModel, org.eclipse.m2e.model.edit.pom.Model libraryModel) {
+		org.eclipse.m2e.model.edit.pom.Build libraryBuild = libraryModel.getBuild();
 		if (libraryBuild == null) {
 			return;
 		}
-		List<org.maven.ide.components.pom.Plugin> libraryPlugins = projectModel.getBuild().getPlugins();
-		for (org.maven.ide.components.pom.Plugin plugin:libraryPlugins) {
-			org.maven.ide.components.pom.Build projectBuild = projectModel.getBuild();
+		List<org.eclipse.m2e.model.edit.pom.Plugin> libraryPlugins = projectModel.getBuild().getPlugins();
+		for (org.eclipse.m2e.model.edit.pom.Plugin plugin:libraryPlugins) {
+			org.eclipse.m2e.model.edit.pom.Build projectBuild = projectModel.getBuild();
 			if (projectBuild == null) {
 				projectBuild = PomFactory.eINSTANCE.createBuild();
 		        projectModel.setBuild(projectBuild);
 			}
-			List<org.maven.ide.components.pom.Plugin> projectPlugins = projectBuild.getPlugins();
+			List<org.eclipse.m2e.model.edit.pom.Plugin> projectPlugins = projectBuild.getPlugins();
 			if (!pluginExists(plugin,projectPlugins)) {
-				org.maven.ide.components.pom.Plugin newPlugin = (org.maven.ide.components.pom.Plugin) EcoreUtil.copy(plugin);
+				org.eclipse.m2e.model.edit.pom.Plugin newPlugin = (org.eclipse.m2e.model.edit.pom.Plugin) EcoreUtil.copy(plugin);
 				projectPlugins.add(newPlugin);
 			}
 		}
 	}
 
-	private static boolean pluginExists(org.maven.ide.components.pom.Plugin plugin, List<org.maven.ide.components.pom.Plugin> projectPlugins) {
+	private static boolean pluginExists(org.eclipse.m2e.model.edit.pom.Plugin plugin, List<org.eclipse.m2e.model.edit.pom.Plugin> projectPlugins) {
 		String groupId = plugin.getGroupId();
 		String artifactId = plugin.getArtifactId();
 		if (artifactId == null) {
 			return false;
 		}
-		for (org.maven.ide.components.pom.Plugin projectPlugin:projectPlugins) {
+		for (org.eclipse.m2e.model.edit.pom.Plugin projectPlugin:projectPlugins) {
 			String projectGroupId = projectPlugin.getGroupId();
 			String projectArtifactId = projectPlugin.getArtifactId();
 			if (!artifactId.equals(projectArtifactId)) {
@@ -621,7 +588,7 @@
 		return false;
 	}
 
-	private static void addRepositories(org.maven.ide.components.pom.Model projectModel, org.maven.ide.components.pom.Model libraryModel) {
+	private static void addRepositories(org.eclipse.m2e.model.edit.pom.Model projectModel, org.eclipse.m2e.model.edit.pom.Model libraryModel) {
 		List<Repository> projectRepositories = projectModel.getRepositories();
 		List<Repository> libraryRepositories = libraryModel.getRepositories();
 		for (Repository repository:libraryRepositories) {
@@ -646,7 +613,7 @@
 		return false;
 	}
 
-	private static void addProperties(org.maven.ide.components.pom.Model projectModel, org.maven.ide.components.pom.Model libraryModel) {
+	private static void addProperties(org.eclipse.m2e.model.edit.pom.Model projectModel, org.eclipse.m2e.model.edit.pom.Model libraryModel) {
 		List<PropertyElement> projectProperties = projectModel.getProperties();
 		List<PropertyElement> libraryProperties = libraryModel.getProperties();
 		for (PropertyElement libraryProperty:libraryProperties) {
@@ -778,4 +745,21 @@
 		plugin.setConfiguration(configuration);
 		build.getPlugins().add(plugin);
 	}
+	
+	public static PomResourceImpl loadResource(IFile pomFile)
+			throws CoreException {
+		String path = pomFile.getFullPath().toOSString();
+		URI uri = URI.createPlatformResourceURI(path, true);
+		try {
+			org.eclipse.emf.ecore.resource.Resource pomResource = new PomResourceFactoryImpl()
+					.createResource(uri);
+			pomResource.load(new HashMap());
+			return (PomResourceImpl) pomResource;
+		} catch (Exception ex) {
+			String msg = "Can't load model " + pomFile;
+			log(ex);
+			throw new CoreException(new Status(IStatus.ERROR,
+					IMavenConstants.PLUGIN_ID, -1, msg, ex));
+		}
+	}
 }
Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/Messages.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/Messages.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/Messages.java	(working copy)
@@ -1,7 +1,21 @@
+/*************************************************************************************
+ * Copyright (c) 2008-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.core;
 
 import org.eclipse.osgi.util.NLS;
 
+/**
+ * @author snjeza
+ * 
+ */
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = "org.jboss.tools.maven.core.messages"; //$NON-NLS-1$
 	public static String MavenFacetInstallDelegate_Internal_Error_creating_JBoss_Maven_Facet;
Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/xpl/ProjectUpdater.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/xpl/ProjectUpdater.java	(revision 0)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/xpl/ProjectUpdater.java	(revision 0)
@@ -0,0 +1,14 @@
+package org.jboss.tools.maven.core.xpl;
+
+import org.eclipse.m2e.model.edit.pom.Model;
+
+/**
+ * Project updater
+ *
+ * @author Eugene Kuleshov
+ */
+public abstract class ProjectUpdater {
+
+  public abstract void update(Model model);
+
+}
Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/libprov/MavenLibraryProviderInstallOperationConfig.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/libprov/MavenLibraryProviderInstallOperationConfig.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/libprov/MavenLibraryProviderInstallOperationConfig.java	(working copy)
@@ -1,8 +1,22 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.core.libprov;
 
 import org.eclipse.jst.common.project.facet.core.libprov.LibraryProviderInstallOperationConfig;
-import org.maven.ide.components.pom.Model;
+import org.eclipse.m2e.model.edit.pom.Model;
 
+/**
+ * @author snjeza
+ * 
+ */
 public class MavenLibraryProviderInstallOperationConfig extends
 		LibraryProviderInstallOperationConfig {
 
Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/libprov/MavenLibraryProviderInstallOperation.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/libprov/MavenLibraryProviderInstallOperation.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/libprov/MavenLibraryProviderInstallOperation.java	(working copy)
@@ -1,3 +1,13 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.core.libprov;
 
 import java.io.File;
@@ -12,19 +22,26 @@
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.FileLocator;
 import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.core.runtime.IStatus;
+import org.eclipse.core.runtime.Status;
+import org.eclipse.emf.common.util.URI;
+import org.eclipse.emf.ecore.resource.Resource;
 import org.eclipse.emf.ecore.resource.URIConverter;
 import org.eclipse.emf.ecore.xmi.XMIResource;
 import org.eclipse.jst.common.project.facet.core.libprov.ILibraryProvider;
 import org.eclipse.jst.common.project.facet.core.libprov.LibraryProviderOperation;
 import org.eclipse.jst.common.project.facet.core.libprov.LibraryProviderOperationConfig;
+import org.eclipse.m2e.core.internal.IMavenConstants;
+import org.eclipse.m2e.model.edit.pom.Model;
+import org.eclipse.m2e.model.edit.pom.util.PomResourceFactoryImpl;
+import org.eclipse.m2e.model.edit.pom.util.PomResourceImpl;
 import org.eclipse.wst.common.project.facet.core.IFacetedProjectBase;
 import org.jboss.tools.maven.core.MavenCoreActivator;
-import org.maven.ide.components.pom.Model;
-import org.maven.ide.components.pom.util.PomResourceImpl;
-import org.maven.ide.eclipse.MavenPlugin;
-import org.maven.ide.eclipse.core.IMavenConstants;
-import org.maven.ide.eclipse.embedder.MavenModelManager;
 
+/**
+ * @author snjeza
+ * 
+ */
 public class MavenLibraryProviderInstallOperation extends
 		LibraryProviderOperation {
 
@@ -40,8 +57,8 @@
 		}
 		if (pom.exists()) {
 			// JBoss Maven Integration facet has been executed		
-			MavenModelManager modelManager = MavenPlugin.getDefault().getMavenModelManager();
-			PomResourceImpl resource = modelManager.loadResource(pom);
+			//MavenModelManager modelManager = MavenPlugin.getDefault().getMavenModelManager();
+			PomResourceImpl resource = loadResource(pom);
 			Model projectModel = resource.getModel();
 			Model libraryModel = mavenConfig.getModel();
 			MavenCoreActivator.mergeModel(projectModel, libraryModel);
@@ -103,8 +120,23 @@
 		} else {
 			MavenCoreActivator.addLibraryProviderOperationConfig(config);
 		}
-		
 	}
 
-	
+	public static PomResourceImpl loadResource(IFile pomFile)
+			throws CoreException {
+		String path = pomFile.getFullPath().toOSString();
+		URI uri = URI.createPlatformResourceURI(path, true);
+		try {
+			Resource resource = new PomResourceFactoryImpl()
+					.createResource(uri);
+			resource.load(new HashMap());
+			return (PomResourceImpl) resource;
+
+		} catch (Exception ex) {
+			String msg = "Can't load model " + pomFile;
+			MavenCoreActivator.log(ex);
+			throw new CoreException(new Status(IStatus.ERROR,
+					MavenCoreActivator.PLUGIN_ID, -1, msg, ex));
+		}
+	}  
 }
Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/PluginUpdater.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/PluginUpdater.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/PluginUpdater.java	(working copy)
@@ -1,12 +1,25 @@
+/*************************************************************************************
+ * Copyright (c) 2008-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.core;
 
-
 import org.apache.maven.model.Plugin;
-import org.maven.ide.components.pom.Build;
-import org.maven.ide.components.pom.Model;
-import org.maven.ide.components.pom.PomFactory;
-import org.maven.ide.eclipse.embedder.ProjectUpdater;
+import org.eclipse.m2e.model.edit.pom.Build;
+import org.eclipse.m2e.model.edit.pom.Model;
+import org.eclipse.m2e.model.edit.pom.PomFactory;
+import org.jboss.tools.maven.core.xpl.ProjectUpdater;
 
+/**
+* @author snjeza
+* 
+*/
 public class PluginUpdater extends ProjectUpdater {
 
 	private static final PomFactory POM_FACTORY = PomFactory.eINSTANCE;
@@ -22,7 +35,7 @@
           build = POM_FACTORY.createBuild();
           model.setBuild(build);
         }
-        org.maven.ide.components.pom.Plugin newPlugin = POM_FACTORY.createPlugin();
+        org.eclipse.m2e.model.edit.pom.Plugin newPlugin = POM_FACTORY.createPlugin();
         newPlugin.setArtifactId(plugin.getArtifactId());
         newPlugin.setGroupId(plugin.getGroupId());
         newPlugin.setVersion(plugin.getVersion());
Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/ProjectFacetsFactoryTester.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/ProjectFacetsFactoryTester.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/ProjectFacetsFactoryTester.java	(working copy)
@@ -1,3 +1,13 @@
+/*************************************************************************************
+ * Copyright (c) 2008-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.core;
 
 import java.util.ArrayList;
@@ -9,6 +19,10 @@
 import org.eclipse.core.expressions.PropertyTester;
 import org.eclipse.wst.common.project.facet.core.internal.ProjectFacetVersion;
 
+/**
+ * @author snjeza
+ * 
+ */
 public class ProjectFacetsFactoryTester extends PropertyTester {
 
 	public boolean test(Object receiver, String property, Object[] args,
Index: plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/internal/project/facet/MavenFacetInstallDelegate.java
===================================================================
--- plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/internal/project/facet/MavenFacetInstallDelegate.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/src/org/jboss/tools/maven/core/internal/project/facet/MavenFacetInstallDelegate.java	(working copy)
@@ -1,13 +1,19 @@
+/*************************************************************************************
+ * Copyright (c) 2009-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.core.internal.project.facet;
 
-import java.util.ArrayList;
 import java.util.List;
 
 import org.apache.maven.model.Build;
 import org.apache.maven.model.Model;
-import org.apache.maven.model.Plugin;
-import org.apache.maven.model.Resource;
-import org.codehaus.plexus.util.xml.Xpp3Dom;
 import org.eclipse.core.resources.IFile;
 import org.eclipse.core.resources.IProject;
 import org.eclipse.core.runtime.CoreException;
@@ -21,6 +27,9 @@
 import org.eclipse.jst.j2ee.classpathdep.IClasspathDependencyConstants;
 import org.eclipse.jst.j2ee.project.facet.IJ2EEFacetConstants;
 import org.eclipse.jst.j2ee.web.project.facet.WebFacetUtils;
+import org.eclipse.m2e.core.MavenPlugin;
+import org.eclipse.m2e.core.embedder.MavenModelManager;
+import org.eclipse.m2e.core.internal.IMavenConstants;
 import org.eclipse.wst.common.componentcore.datamodel.properties.IFacetDataModelProperties;
 import org.eclipse.wst.common.frameworks.datamodel.IDataModel;
 import org.eclipse.wst.common.project.facet.core.IDelegate;
@@ -28,15 +37,15 @@
 import org.eclipse.wst.common.project.facet.core.IProjectFacet;
 import org.eclipse.wst.common.project.facet.core.IProjectFacetVersion;
 import org.eclipse.wst.common.project.facet.core.ProjectFacetsManager;
-import org.jboss.tools.maven.core.MavenCoreActivator;
 import org.jboss.tools.maven.core.IJBossMavenConstants;
+import org.jboss.tools.maven.core.MavenCoreActivator;
 import org.jboss.tools.maven.core.Messages;
 import org.jboss.tools.maven.core.libprov.MavenLibraryProviderInstallOperation;
-import org.jboss.tools.maven.core.libprov.MavenLibraryProviderInstallOperationConfig;
-import org.maven.ide.eclipse.MavenPlugin;
-import org.maven.ide.eclipse.core.IMavenConstants;
-import org.maven.ide.eclipse.embedder.MavenModelManager;
 
+/**
+ * @author snjeza
+ * 
+ */
 public class MavenFacetInstallDelegate implements IDelegate {
 
 	private static final String SEAM_FACET_ID = "jst.seam"; //$NON-NLS-1$
Index: plugins/org.jboss.tools.maven.core/META-INF/MANIFEST.MF
===================================================================
--- plugins/org.jboss.tools.maven.core/META-INF/MANIFEST.MF	(revision 32612)
+++ plugins/org.jboss.tools.maven.core/META-INF/MANIFEST.MF	(working copy)
@@ -2,7 +2,7 @@
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name
 Bundle-SymbolicName: org.jboss.tools.maven.core; singleton:=true
-Bundle-Version: 1.1.0.qualifier
+Bundle-Version: 1.2.0.qualifier
 Bundle-Localization: plugin
 Bundle-Activator: org.jboss.tools.maven.core.MavenCoreActivator
 Require-Bundle: org.eclipse.core.runtime,
@@ -12,21 +12,22 @@
  org.eclipse.wst.common.frameworks;visibility:=reexport,
  org.eclipse.jst.common.frameworks;visibility:=reexport,
  org.eclipse.wst.common.modulecore;visibility:=reexport,
- org.maven.ide.eclipse;bundle-version="0.10.0";visibility:=reexport,
- org.maven.ide.eclipse.maven_embedder;bundle-version="0.10.0";visibility:=reexport,
+ org.eclipse.m2e.core;bundle-version="[1.0,1.1)";visibility:=reexport,
+ org.eclipse.m2e.maven.runtime;bundle-version="[1.0,1.1)";visibility:=reexport,
  org.eclipse.jdt.core;visibility:=reexport,
- org.maven.ide.eclipse.jdt;bundle-version="0.10.0";visibility:=reexport,
+ org.eclipse.m2e.jdt;bundle-version="[1.0,1.1)";visibility:=reexport,
  org.eclipse.jst.j2ee;visibility:=reexport,
  org.eclipse.jst.j2ee.web;visibility:=reexport,
  org.jboss.tools.common;visibility:=reexport,
  org.eclipse.jdt.launching;visibility:=reexport,
  org.eclipse.ui.workbench;visibility:=reexport,
- org.maven.ide.eclipse.maven_model_edit;bundle-version="0.10.0";visibility:=reexport,
+ org.eclipse.m2e.model.edit;bundle-version="[1.0,1.1)";visibility:=reexport,
  org.eclipse.core.expressions,
- org.maven.ide.eclipse.wtp;bundle-version="0.10.0";visibility:=reexport
+ org.maven.ide.eclipse.wtp;bundle-version="[0.13.0,0.15.0)";visibility:=reexport
 Bundle-ActivationPolicy: lazy
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Bundle-Vendor: %Bundle-Vendor
 Export-Package: org.jboss.tools.maven.core,
  org.jboss.tools.maven.core.internal.project.facet,
- org.jboss.tools.maven.core.libprov
+ org.jboss.tools.maven.core.libprov,
+ org.jboss.tools.maven.core.xpl
Index: plugins/org.jboss.tools.maven.cdi/src/org/jboss/tools/maven/cdi/Messages.java
===================================================================
--- plugins/org.jboss.tools.maven.cdi/src/org/jboss/tools/maven/cdi/Messages.java	(revision 32612)
+++ plugins/org.jboss.tools.maven.cdi/src/org/jboss/tools/maven/cdi/Messages.java	(working copy)
@@ -1,10 +1,25 @@
+/*************************************************************************************
+ * Copyright (c) 2008-2011 Red Hat, Inc. and others.
+ * All rights reserved. This program and the accompanying materials 
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ * 
+ * Contributors:
+ *     JBoss by Red Hat - Initial implementation.
+ ************************************************************************************/
 package org.jboss.tools.maven.cdi;
 
 import org.eclipse.osgi.util.NLS;
 
+/**
+ * 
+ * @author snjeza
+ *
+ */
 public class Messages extends NLS {
 	private static final String BUNDLE_NAME = "org.jboss.tools.maven.cdi.messages"; //$NON-NLS-1$
-	public static String CDIProjectConfigurator_The_project_does_not_contain_the_Web_Module_facet;
+	public static String CDIProjectConfigurator_The_project_does_not_contain_required_facets;
 	static {
 		// initialize resource bundle
 		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
